package p13_pliki.tadeusz;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

import javax.swing.JOptionPane;

public class PoliczJednoSlowo1 {

	public static void main(String[] args) {
		String szukaneSlowo = JOptionPane.showInputDialog("Podaj szukane słowo");
		// Oblicz, ile razy w pliku Pan Tadeusz występuje to słowo
		// W pierwszej wersji możesz po prostu policzyć w ilu liniach występuje ten tekst.
		int ile = 0;
		try(Scanner scanner = new Scanner(new File("pan_tadeusz.txt"))) {
			while(scanner.hasNextLine()) {
				String linia = scanner.nextLine();
				if(linia.contains(szukaneSlowo)) {
					ile++;
				}
			}
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}
		
		JOptionPane.showMessageDialog(null, "Słowo " + szukaneSlowo + " występuje " + ile + " razy.");
	}

}
